.form-group-button {
  display: flex;
  justify-content: center;
}
.contact-form {
  display: grid;
  gap: 1rem;
  margin: auto;
  max-width: 600px;
}
.contact-form label {
  text-align: right;
  padding-right: 10px;
  font-weight: bold;
}
.contact-form select, .contact-form textarea {
  padding: 0.5rem;
  border: 2px solid #ccc;
  border-radius: 4px;
  width: 100%;
}
.contact-form textarea {
  resize: none;
  min-height: 100px;
}
.contact-form button {
  padding: 1rem 2rem;
  background-color: #555;
  color: #fff;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  width: auto;
  margin-top: 10px;
}
.contact-form button:hover {
  background-color: #444;
}
footer {
  position: fixed;
  bottom: 0;
  width: 100%;
}

@media (max-width: 600px) {
  .contact-form {
    gap: 0.5rem;
  }
  .form-group {
    grid-template-columns: 1fr;
  }
  .contact-form select, .contact-form textarea, .contact-form button {
    width: 100%;
  }
}

@media (max-width: 300px) {
  nav, footer {
    position: static;
  }
}